%global modname schema

Name:           python-%{modname}
Version:        0.7.5
Release:    1%{?dist}
Summary:        Simple data validation library

License:        MIT
URL:            https://github.com/keleshev/schema
Source0:        %pypi_source schema
Patch0:         python-schema-mock.patch

BuildArch:      noarch

%global _description \
schema is a library for validating Python data structures, such as those\
obtained from config-files, forms, external services or command-line parsing,\
converted from JSON/YAML (or something else) to Python data-types.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}
sed -i -e /contextlib2/d requirements.txt

%build
%py3_build

%install
%py3_install

%check
py.test-%{python3_version} -v

%files -n python3-%{modname}
%license LICENSE-MIT
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7.5-1
- initial build
